#include <bits\stdc++.h>

using namespace std;
int n,m,br,x,l,r;
int niz[100000];
struct vaga{
    int d,u;
    };
vector<vaga>a;
int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(0);
    cout.tie(0);
    cin>>n>>m;
    
    for(int i=1;i<n;i++){
        vaga y;
        cin>>y.d>>y.u;
        a.push_back(y);
    }
    for(int j=0;j<m;j++){
        cin>>l>>r>>x;
        for(int k=0;k<=r;k++){
            if(a[k-1].d<=x&&a[k-1].u>=x)niz[k-1]++;

        }

        
    }
    for(int j=0;j<m;j++)cout<<niz[j]<<'\n';
    return 0;
}